import { jsx } from "react/jsx-runtime";
import { TokenTLOS as TokenTLOS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTLOS = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "TLOS", "data-name": "TokenTLOS", ...props, children: /* @__PURE__ */ jsx(TokenTLOS$1, { variant }) });
  }
);
TokenTLOS.displayName = "TokenTLOS";
Object.assign(TokenTLOS, { isGdsIcon: true });
export {
  TokenTLOS
};
